searchNodes=[{"doc":"Documentation for the Imgproxy package, an Elixir library that helps generate urls for use with an imgproxy server.For usage information, see the documentation, which includes guides, API information for important modules, and links to useful resources.","ref":"Imgproxy.html","title":"Imgproxy","type":"module"},{"doc":"Generate a path to an image based on the given image url and image options.This is the path to the image after the signature, so the result of this call should be appended to the imgproxy's url and signature value to create the final image path. This is public because it can be used directly if you don't need a signature. The optional parameters are the same as for url/2. For instance:Examplesiex&gt; partial_path = Imgproxy.build_path(&quot;https://placekitten.com/200/300&quot;) iex&gt; &quot;https://imgcdn.example.com&quot; &lt;&gt; &quot;/insecure&quot; &lt;&gt; partial_path &quot;https://imgcdn.example.com/insecure/fill/300/300/sm/1/aHR0cHM6Ly9wbGFjZWtpdHRlbi5jb20vMjAwLzMwMA&quot;","ref":"Imgproxy.html#build_path/2","title":"Imgproxy.build_path/2","type":"function"},{"doc":"Generate an imgproxy URL. The first argument is the URL for the image, followed by optional parameters.Those parameters and their defaults are:resize: default, &quot;fill&quot;width: default, 300height: default, 300gravity: default, &quot;sm&quot; for &quot;smart&quot;enlarge: default, &quot;1&quot; for enlarge if necessaryextension: default, empty, so attempt to preserve the original image typeExamplesiex&gt; Imgproxy.url(&quot;https://placekitten.com/200/300&quot;) &quot;https://imgcdn.example.com/insecure/fill/300/300/sm/1/aHR0cHM6Ly9wbGFjZWtpdHRlbi5jb20vMjAwLzMwMA&quot; iex&gt; Imgproxy.url(&quot;https://placekitten.com/200/300&quot;, ...&gt; resize: &quot;fill&quot;, ...&gt; width: 123, ...&gt; height: 321, ...&gt; gravity: &quot;sm&quot;, ...&gt; enlarge: &quot;1&quot;, ...&gt; extension: &quot;jpg&quot;) &quot;https://imgcdn.example.com/insecure/fill/123/321/sm/1/aHR0cHM6Ly9wbGFjZWtpdHRlbi5jb20vMjAwLzMwMA.jpg&quot;","ref":"Imgproxy.html#url/2","title":"Imgproxy.url/2","type":"function"},{"doc":"Generate an imgproxy URL. The first argument is the URL for the image, followed by width and height. All other parameters are generated using defaults.Examplesiex&gt; Imgproxy.url(&quot;https://placekitten.com/200/300&quot;, 100, 150) &quot;https://imgcdn.example.com/insecure/fill/100/150/sm/1/aHR0cHM6Ly9wbGFjZWtpdHRlbi5jb20vMjAwLzMwMA&quot;","ref":"Imgproxy.html#url/3","title":"Imgproxy.url/3","type":"function"},{"doc":"","ref":"Imgproxy.html#t:image_opts/0","title":"Imgproxy.image_opts/0","type":"type"},{"doc":"Generates a secret that could be used as a salt or key and prints it to the terminal. mix imgproxy.gen.secret","ref":"Mix.Tasks.Imgproxy.Gen.Secret.html","title":"Mix.Tasks.Imgproxy.Gen.Secret","type":"task"},{"doc":"Callback implementation for Mix.Task.run/1.","ref":"Mix.Tasks.Imgproxy.Gen.Secret.html#run/1","title":"Mix.Tasks.Imgproxy.Gen.Secret.run/1","type":"function"},{"doc":"OverviewImgproxy is an Elixir library that helps generate imgproxy URLs. Before using this library, you should have a running imgproxy server.","ref":"overview.html","title":"Overview","type":"extras"},{"doc":"To install Imgproxy, just add an entry to your mix.exs:def deps do [ # ... {:imgproxy, &quot;~&gt; 1.0&quot;} ] end(Check Hex to make sure you're using an up-to-date version number.)","ref":"overview.html#installation","title":"Overview - Installation","type":"extras"},{"doc":"In your config/config.exs you can set a few options:config :imgproxy, prefix: &quot;https://imgcdn.example.com&quot;, key: &quot;cdf104fc78b7d7f6f0158c253612f5dsecretsecret...&quot;, salt: &quot;aad7034f611b7fc28c6d344f72ea19secretsecret...&quot;The prefix should be the location of the imgproxy server. key and salt are only necessary if you are using URL signatures. To generate the key a key and salt, you can use:$&gt; mix imgproxy.gen.secretYou can use the output as your key or salt (ideally, just run the command twice, use the first output for your key and the second output for your salt).","ref":"overview.html#configuration","title":"Overview - Configuration","type":"extras"},{"doc":"Usage is basically constrained to the Imgproxy.url/2 function, which accepts the original URL for an image and optional parameters for image conversion.Example:# Generate URL for an image, using defaults Imgproxy.url(&quot;https://placekitten.com/200/300&quot;) # Set all parameters Imgproxy.url(&quot;https://placekitten.com/200/300&quot;, resize: &quot;fill&quot;, width: 123, height: 321, gravity: &quot;sm&quot;, enlarge: &quot;1&quot;, extension: &quot;jpg&quot;) # Generate URL for an image with set width of 150 and # height of 200, and all other defaults. This signature # is useful if you just want to set width/height. Imgproxy.url(&quot;https://placekitten.com/200/300&quot;, 150, 200)The optional parameters are:resize: default, &quot;fill&quot;width and height: default, 300x300 gravity: default, &quot;sm&quot; for smart. libvips detects the most &quot;interesting&quot; section of the image and considers it as the center of the resulting image.enlarge: default, &quot;1&quot;extension: default, attempts to preserve the original image typeThe imgproxy docs have more details on what each of these options indicate.","ref":"overview.html#usage","title":"Overview - Usage","type":"extras"},{"doc":"To run tests:$&gt; mix test","ref":"overview.html#running-tests","title":"Overview - Running Tests","type":"extras"},{"doc":"Please report all issues on github.","ref":"overview.html#reporting-issues","title":"Overview - Reporting Issues","type":"extras"}]